import tableCol from './tableCol';
import order from './order';
import frequency from './frequency';
import weeks from './weeks';
import cycle from './cycle';
import classification from './classification';
import channelList from './channelList';
import region from './region';
import channelNameList from './channelNameList';
import audioCycle from './audioCycle';

let url = 'http://172.16.101.20:8762/cxzx-kuyun',
  url2 = 'http://172.16.101.20:8762/cxzx-program',
  youmei = 'https://topic.smcic.net/youmei',
  kuyunApi = 'http://172.16.101.20:8762/cxzx-fm',
  guijiApi = 'http://topic.smcic.net',
  leverAudience = 'http://172.16.101.20:8762',
  rankApi = 'http://xhaapi.sxtvs.net';
let base = '';
// let isRelease = false; //是否是线上发布版本
if (process.env.NODE_ENV !== 'development') {
  base = window.parent.location.origin || '';
  url = base + '/cxzx-kuyun';
  url2 = base + '/cxzx-program';
  kuyunApi = base + '/cxzx-fm';
  leverAudience = base;
  //   isRelease = true;
}

export default {
  base: {
    url,
    url2,
    url3: '',
    youmei,
    leverAudience,
    kuyunApi,
    guijiApi,
    rankApi,
    adAPI: 'http://topic.smcic.net',
    timeout: 60000,
    // isRelease,
    requestRetry: 4,
    requestRetryDelay: 800,
    token: '',
    Intranet: 'http://sxgd-media.oss-cn-xian-sxgd-d01-a.ops.cloud.sxtvs.com.cn',
  },
  order,
  tableCol,
  frequency,
  weeks,
  cycle,
  classification,
  channelList,
  region,
  channelNameList,
  audioCycle,
};
